HdfsClientConfigKeys.DeprecatedKeys (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.client, interface: HdfsClientConfigKeys, interface: DeprecatedKeys

Package org.apache.hadoop.hdfs.client

# Interface HdfsClientConfigKeys.DeprecatedKeys

Enclosing interface:
  HdfsClientConfigKeys

public static interface HdfsClientConfigKeys.DeprecatedKeys
These are deprecated config keys to client code.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY`
  `static final String`
  `DFS_CLIENT_HTTPS_NEED_AUTH_KEY`
  `static final String`
  `DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY`
  `static final String`
  `DFS_DATANODE_DATA_DIR_KEY`
  `static final String`
  `DFS_DATANODE_HOST_NAME_KEY`
  `static final String`
  `DFS_DATANODE_MAX_RECEIVER_THREADS_KEY`
  `static final String`
  `DFS_METRICS_SESSION_ID_KEY`
  `static final String`
  `DFS_NAMENODE_ACCESSTIME_PRECISION_KEY`
  `static final String`
  `DFS_NAMENODE_BACKUP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_PERIOD_KEY`
  `static final String`
  `DFS_NAMENODE_EDITS_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY`
  `static final String`
  `DFS_NAMENODE_MAX_OBJECTS_KEY`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_RESTORE_KEY`
  `static final String`
  `DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY`
  `static final String`
  `DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY`
  `static final String`
  `DFS_NAMENODE_REPLICATION_MIN_KEY`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_EXTENSION_KEY`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY`
  `static final String`
  `DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMESERVICE_ID`
  `static final String`
  `DFS_PERMISSIONS_ENABLED_KEY`
  `static final String`
  `DFS_PERMISSIONS_SUPERUSERGROUP_KEY`

- ## Field Details

  - ### DFS_NAMENODE_BACKUP_ADDRESS_KEY

    static final String DFS_NAMENODE_BACKUP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY

    static final String DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY

    static final String DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_DIR_KEY

    static final String DFS_DATANODE_DATA_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_OBJECTS_KEY

    static final String DFS_NAMENODE_MAX_OBJECTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_KEY

    static final String DFS_NAMENODE_NAME_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_RESTORE_KEY

    static final String DFS_NAMENODE_NAME_DIR_RESTORE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_KEY

    static final String DFS_NAMENODE_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_EXTENSION_KEY

    static final String DFS_NAMENODE_SAFEMODE_EXTENSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY

    static final String DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY

    static final String DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_DIR_KEY

    static final String DFS_NAMENODE_CHECKPOINT_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY

    static final String DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_PERIOD_KEY

    static final String DFS_NAMENODE_CHECKPOINT_PERIOD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY

    static final String DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY

    static final String DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_NEED_AUTH_KEY

    static final String DFS_CLIENT_HTTPS_NEED_AUTH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HOST_NAME_KEY

    static final String DFS_DATANODE_HOST_NAME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_METRICS_SESSION_ID_KEY

    static final String DFS_METRICS_SESSION_ID_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACCESSTIME_PRECISION_KEY

    static final String DFS_NAMENODE_ACCESSTIME_PRECISION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY

    static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR

    static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY

    static final String DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MIN_KEY

    static final String DFS_NAMENODE_REPLICATION_MIN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY

    static final String DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY

    static final String DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_ENABLED_KEY

    static final String DFS_PERMISSIONS_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_SUPERUSERGROUP_KEY

    static final String DFS_PERMISSIONS_SUPERUSERGROUP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_RECEIVER_THREADS_KEY

    static final String DFS_DATANODE_MAX_RECEIVER_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICE_ID

    static final String DFS_NAMESERVICE_ID
    See Also:
      - Constant Field Values